#pragma once
#include "Expression.h"

class Evaluator : public Expression
{
public:
	Evaluator(std::string expression);
	~Evaluator(void);
    int interpret(std::map<std::string,Expression *> &context);
private:
    Expression *m_syntaxTree;
    bool isNumeric(std::string token);
    bool isAlpha(std::string token);
};

